## uhttpmock 0.11.0

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value: true,
  description: 'Whether to build GObject Introspection (GIR) files',
)
option('vapi',
  type: 'feature',
  value: 'auto',
  description: 'Whether to build Vala bindings (requires introspection)',
)
option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Whether to render the reference documentation (requires gtk-doc)',
)

## uhttpmock 0.3.0

=== debian/changelog ===
uhttpmock (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Jun 2014 23:31:42 +0200

uhttpmock (0.2.0-2) unstable; urgency=medium

  * These updates based on review comments by Michael Terry in
    https://bugs.launchpad.net/ubuntu/+source/uhttpmock/+bug/1327458
  * Add Pre-Depends to package shipping shared library,
    to prepare for multi-arch which this package does not yet support.
  * Add missing --with gir to dh call in debian/rules.
  * Use dh-autoreconf for the benefit of ppc64el architecture.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 17 Jun 2014 23:35:39 +0200

uhttpmock (0.2.0-1) unstable; urgency=low

  * Initial release

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Feb 2014 21:25:49 +0100

=== debian/control ===
Source: uhttpmock
Priority: optional
Maintainer: Andreas Henriksson <andreas@fatal.se>
Build-Depends: autotools-dev,
               debhelper (>= 9.0.0),
               dh-autoreconf,
               gobject-introspection,
               gtk-doc-tools,
               intltool (>= 0.40.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.31.0),
               libsoup2.4-dev (>= 2.37.91),
               valac
Standards-Version: 3.9.5
Section: libs

Package: libuhttpmock-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libsoup2.4-dev,
         libuhttpmock-0.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: HTTP web service mocking - development files
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.
 .
 This package contains the development files used when building and the
 API documentation.

Package: libuhttpmock-0.0-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTTP web service mocking - development files
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.

Package: gir1.2-uhm-0.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: HTTP web service mocking - development files
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.
 .
 This package contains the gobject-introspection typelib.

## uhttpmock 0.3.1

=== debian/changelog ===
uhttpmock (0.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Aug 2014 20:07:19 -0700

## uhttpmock 0.5.0

=== debian/changelog ===
uhttpmock (0.5.0-1build1) focal; urgency=medium

  * No-change rebuild to restore i386 binaries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Jan 2020 09:36:31 -0800

uhttpmock (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 11 Jul 2015 10:47:17 +0200

uhttpmock (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Add Homepage field for new gitlab homepage to debian/control

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 19 May 2015 17:20:38 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev,gir,autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_auto_test:
	mkdir debian/XDG_RUNTIME_DIR
	XDG_RUNTIME_DIR=$(CURDIR)/debian/XDG_RUNTIME_DIR dh_auto_test
	rm -rf $(CURDIR)/debian/XDG_RUNTIME_DIR

=== debian/watch ===
version=3
http://tecnocode.co.uk/downloads/uhttpmock/uhttpmock-(.*)\.tar\.xz

## uhttpmock 0.5.3

=== debian/changelog ===
uhttpmock (0.5.3-2) unstable; urgency=medium

  * debian/control.in: Fix short description

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Jan 2021 17:03:25 +0100

uhttpmock (0.5.3-1) unstable; urgency=medium

  * Add debian/gbp.conf file with parameters matching GNOME team standards
  * New upstream release
  * Bump debhelper compatibility to 13
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/watch: Use https:// and bump compatibility version to 4
  * debian/control: Add libglib2.0-doc and libsoup2.4-doc to the BD
  * Put the package under the GNOME team umbrella
  * debian/control.in: Remove duplicate sections to please lintian
  * debian/control.in: Make the -dev package depend against the gir one
  * debian/libuhttpmock-0.0-0.symbols: Add a symbols file
  * Make the library and gir packages Multi-Arch compatible
  * Rename libuhttpmock-dev to libuhttpmock-0.0-dev
  * debian/control.in: Add the Vcs-* fields

 -- Laurent Bigonville <bigon@debian.org>  Sat, 16 Jan 2021 13:28:50 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: uhttpmock
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               gnome-pkg-tools (>= 0.13),
               gobject-introspection,
               gtk-doc-tools,
               intltool (>= 0.40.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.31.0),
               libglib2.0-doc,
               libsoup2.4-dev (>= 2.37.91),
               libsoup2.4-doc,
               valac
Standards-Version: 4.5.1
Section: libs
Homepage: https://gitlab.com/groups/uhttpmock
Vcs-Git: https://salsa.debian.org/gnome-team/uhttpmock.git
Vcs-Browser: https://salsa.debian.org/gnome-team/uhttpmock

Package: libuhttpmock-0.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: HTTP web service mocking - library
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.

Package: libuhttpmock-0.0-dev
Section: libdevel
Architecture: any
Depends: gir1.2-uhm-0.0 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup2.4-dev,
         libuhttpmock-0.0-0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libuhttpmock-dev (<< 0.5.3)
Replaces: libuhttpmock-dev (<< 0.5.3)
Description: HTTP web service mocking - development files
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.
 .
 This package contains the development files used when building and the
 API documentation.

Package: gir1.2-uhm-0.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: HTTP web service mocking - GObject introspection files
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.
 .
 This package contains the gobject-introspection typelib.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with autotools-dev,gir,autoreconf
+	dh $@  --with gir,gnome
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh

=== debian/watch ===
version=4
https://tecnocode.co.uk/downloads/uhttpmock/uhttpmock-(.*)\.tar\.xz

## uhttpmock 0.10.0

=== debian/changelog ===
uhttpmock (0.10.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:15:23 +1100

uhttpmock (0.10.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 15:31:14 -0400

uhttpmock (0.10.0-1) experimental; urgency=medium

  * New upstream release
  * Rename binary packages for API bump
  * Build with libsoup3 instead of libsoup2.4
  * Build with meson
  * Build-Depend on dh-sequence-gir
  * debian/libuhttpmock-1.0-1.symbols: Add new symbols
  * debian/control: Set Rules-Requires-Root: no
  * debian/copyright: Update
  * Add debian/upstream/metadata
  * Update upstream location for Homepage and debian/watch
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 16:48:39 -0400

=== debian/control ===
Source: uhttpmock
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gobject-introspection,
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.31.0),
               libglib2.0-doc,
               libsoup-3.0-dev (>= 3.1.2),
               libsoup-3.0-doc,
               meson,
               valac
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Homepage: https://gitlab.freedesktop.org/pwithnall/uhttpmock
Vcs-Git: https://salsa.debian.org/gnome-team/uhttpmock.git
Vcs-Browser: https://salsa.debian.org/gnome-team/uhttpmock

Package: libuhttpmock-1.0-1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: HTTP web service mocking - library
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.

Package: libuhttpmock-dev
Section: libdevel
Architecture: any
Depends: gir1.2-uhm-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup-3.0-dev,
         libuhttpmock-1.0-1 (= ${binary:Version}),
         ${misc:Depends}
Description: HTTP web service mocking - development files
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.
 .
 This package contains the development files used when building and the
 API documentation.

Package: gir1.2-uhm-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: HTTP web service mocking - GObject introspection files
 uhttpmock is a HTTP web service mocking project for projects which use
 libsoup. It is still in its infancy, but is already used by libgdata
 for unit testing.
 .
 This package contains the gobject-introspection typelib.

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/pwithnall/@PACKAGE@/tags?sort=updated_desc \
 .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## uhttpmock 0.11.0

=== debian/changelog ===
uhttpmock (0.11.0-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add missing B-D on gir1.2-*-dev as reported by
    dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with newer
    gobject-introspection
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Remove Rules-Requires-Root: no, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

  [ Jeremy Bícha ]
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 11:17:22 -0400

uhttpmock (0.11.0-2) unstable; urgency=medium

  * Add Build-Depends: ca-certificates for build tests (Closes: #1064744)
  * Add Provides: ${gir:Provides} to libuhttpmock-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Oct 2024 09:15:56 -0400

uhttpmock (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 17:47:35 -0400

uhttpmock (0.10.0-3) unstable; urgency=medium

  * Cherry-pick a commit required by latest msgraph
  * Bump Standards Version to 4.7.0
  * Update debian/watch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:03:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: uhttpmock
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               ca-certificates <!nocheck>,
                dh-sequence-gir,
-               gobject-introspection,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-soup-3.0-dev,
+               gobject-introspection (>= 1.80),
                gtk-doc-tools,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.31.0),
                libglib2.0-doc,
                libsoup-3.0-dev (>= 3.1.2),
                libsoup-3.0-doc,
                meson,
                valac
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.freedesktop.org/pwithnall/uhttpmock
 Vcs-Git: https://salsa.debian.org/gnome-team/uhttpmock.git
@@ -37,7 +37,9 @@
          libglib2.0-dev,
          libsoup-3.0-dev,
          libuhttpmock-1.0-1 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: HTTP web service mocking - development files
  uhttpmock is a HTTP web service mocking project for projects which use
  libsoup. It is still in its infancy, but is already used by libgdata

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dauto_features=enabled

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.freedesktop.org/pwithnall/@PACKAGE@/tags?sort=updated_desc \
 -/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
